#
# spec file for package bison
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           bison
BuildRequires:  gcc-c++
License:        GPLv3+
Group:          Development/Languages/C and C++
PreReq:         %install_info_prereq
# bug437293
%ifarch ppc64
Obsoletes:      bison-64bit
%endif
#
Requires:       m4
Version:        2.5
Release:        1
Summary:        The GNU Parser Generator
Url:            http://www.gnu.org/software/bison/bison.html
Source:         bison-%{version}.tar.bz2
Source2:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bison is a parser generator similar to yacc(1).

%prep
%setup -q

%build
%configure 
make %{_smp_mflags}

%check
make %{_smp_mflags} check

%install
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name} --all-name

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/bison
%{_bindir}/yacc
%{_libdir}/liby.a
/usr/share/bison
/usr/share/aclocal/bison-i18n.m4
%doc %{_infodir}/bison.info*.gz
%doc %{_mandir}/man1/bison.1.gz
%doc %{_mandir}/man1/yacc.1.gz

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog
